<?php 
// Include main file
include_once('../libs/main.php');
// Check admin Login
include_once('checkLogin.php');
// Logical section of page
$serviceObj =  new  service();
$adminlogObj = new admin_log();
$modulepagesObj = new module_pages();

$filename=basename($_SERVER['SCRIPT_FILENAME']);
if($filename == 'servicelist.php')
{
    $module_id = $adminlogObj->getModuleId($filename);
    $page_id = $adminlogObj->getPageId($filename);
    $allpages = $modulepagesObj->fromId($page_id);
    $pagename = $allpages->page;

}
if(isset($_REQUEST['act']) && $_REQUEST['act']=='change_status' && isset($_REQUEST['service_id'])){
    if(isset($_REQUEST['status'])){

            $serviceDetail = $serviceObj->fromId($_REQUEST['service_id']);
            if($serviceDetail->service_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($_REQUEST['status'] == '1')
            {
                $new_status = 'Active';
            }else{
                $new_status = 'Inactive';
            }

            $serviceObj->changeStatus($_REQUEST['service_id']);
            $serviceDetails = " <b>Service status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
            $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$serviceDetails);
            echo RECORD_STATUS;
    }
        return true;
}

if(isset($_REQUEST['act']) && $_REQUEST['act']=='delete' && isset($_REQUEST['service_id'])){
    $serviceObj->deleteFromId($_REQUEST['service_id']);
    $successMsg = base64_encode(RECORD_DELETE);
}
if(isset($_REQUEST['action']) && $_REQUEST['action']!=''){
    if($_REQUEST['action']=="activate_all"){
        $data=array("service_status" => '1');
        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $serviceObj->fromId($val_actchk);
            if($old_data->service_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->service_status != '1')
            {
                $new_status = 'Active';
                $srvicedata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$srvicedata);
            }
        }
        $rs = $serviceObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_ACTIVE);
    }else if($_REQUEST['action']=="inactivate_all"){
        $data=array("service_status" => '0');

        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $serviceObj->fromId($val_actchk);
            if($old_data->service_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->service_status != '0')
            {
                $new_status = 'Inactive';
                $servicedata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$servicedata);
            }
        }

        $rs = $serviceObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_INACTIVE);
    }else if($_REQUEST['action']=="delete_all"){

        $chk_del = implode(",",$_POST['check']);
        
        $servicedata = " <b>Delete Id</b>: "." ".$chk_del;
        $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$servicedata);
        
        $rs = $serviceObj->deleteManyRecords($_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_DELETE);
    }
}
if (isset($_REQUEST['act']) && $_REQUEST['act']=='load'){
    $records = $_REQUEST['length'];
    $start=0;
    if(isset($_GET['start']) && $_GET['start']!='0'){
        $page = $_GET['start'];
    }
    $start=($page-1)*$limit;
    $limit = array('start'=>$_GET['start'],'record'=>$records);
    
    $where = " 1=1 ";
    if(isset($_REQUEST['service_speciality_id']) && $_REQUEST['service_speciality_id']!=""){
         $speciality_id = $_REQUEST['service_speciality_id'];
         $where .= " and service_speciality_id='".$speciality_id."' "; 
    }
    
    if(isset($_REQUEST['service_name']) && $_REQUEST['service_name']!=""){
         
         $where .= " and service_name='".$_REQUEST['service_name']."' "; 
    }

    if(isset($_REQUEST['service_status']) && $_REQUEST['service_status']!=""){
         
         $where .= " and service_status='".$_REQUEST['service_status']."' "; 
    }


    if (isset($_REQUEST['search']['value']) && $_REQUEST['search']['value']!=""){
        $where .= " AND (service_name LIKE '%".$_REQUEST['search']['value']."%' )";
    }    
    
    $orderFields = array('service_id','service_name');
    
    // Array of order by 
    $orderby=array();
    if (isset($_REQUEST['order']['0']['column']) && $_REQUEST['order']['0']['column']!=""){
        $orderby = array(" ".$orderFields[$_REQUEST['order']['0']['column']]." ".$_REQUEST['order']['0']['dir']);
    }else{
        $orderby = array(" service_id desc ");
    }

    $data    = array('where' => $where,'orderBy'=>$orderby,'limit' => $limit);

    $serviceDetails = $serviceObj->getAllRecords($data);
    $recordsTotal   =   $serviceObj->getAllCount($data);

        
    if ($serviceDetails && count($serviceDetails)>0){
        foreach ($serviceDetails as $key => $service){

            if($service->service_status =='1'){
              $status = '<a href="javascript:void(0)" onclick="change_status('.$service->service_id.',0)" title="Inactivate"><span class="badge badge-success">Active</span></a>';
            }else{
              $status = '<a href="javascript:void(0)" onclick="change_status('.$service->service_id.',1)" title="Activate"><span class="badge badge-danger">Inactive</span></a>';
            }

            // $action = '<a href="serviceadd.php?act=edit&service_id='.$service->service_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>
            //      <a id="delete-confirm" onclick="delete_entry('.$service->service_id.');" class="btn btn-danger white-btn"><i class="nav-icon i-Close-Window "></i></a>';

                 $action = '<a href="serviceadd.php?act=edit&service_id='.$service->service_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>';

             $response[] = array('<input type="checkbox" name="check[]" id="check[]" value="'.$service->service_id.'" class="check_class" />',  
                 $service->service_name,
                 "<div id='td_status_".$service->service_id."'>".$status."</div>",
                 $action
                );
        }
        $result=array('recordsFiltered'=>$recordsTotal,'recordsTotal'=>$recordsTotal,'data'=>$response);
    }else{
        $result=array('recordsFiltered'=>0,'recordsTotal'=>0,'data'=>array());
    }
    echo json_encode($result);
    exit;
}
$specialityObj = new speciality();
$allspecialities = $specialityObj->getAllRecords();
// Include Template 
include_once('../libs/routs.php')
?>